## paperwork 2.2.5

=== Makefile ===
# order matters (dependencies)
ALL_COMPONENTS = \
	openpaperwork-core \
	openpaperwork-gtk \
	paperwork-backend \
	paperwork-shell \
	paperwork-gtk

RELEASE ?=

build:


openpaperwork-core_install_py:
	echo "Installing openpaperwork-core"
	$(MAKE) -C openpaperwork-core install_py

openpaperwork-gtk_install_py: openpaperwork-core_install_py
	echo "Installing openpaperwork-gtk"
	$(MAKE) -C openpaperwork-gtk install_py

paperwork-backend_install_py: openpaperwork-core_install_py
	echo "Installing paperwork-backend"
	$(MAKE) -C paperwork-backend install_py

paperwork-shell_install_py: \
		openpaperwork-core_install_py \
		paperwork-backend_install_py
	echo "Installing paperwork-shell"
	$(MAKE) -C paperwork-shell install_py

paperwork-gtk_install_py: \
		openpaperwork-core_install_py \
		openpaperwork-gtk_install_py \
		paperwork-backend_install_py
	echo "Installing paperwork-gtk"
	$(MAKE) -C paperwork-gtk install_py

clean: $(ALL_COMPONENTS:%=%_clean)
	rm -rf build dist
	rm -rf venv
	rm -f data.tar.gz
	make -C sub/libinsane clean || true
	make -C sub/libpillowfight clean || true
	make -C sub/pyocr clean || true

install_py: download_data $(ALL_COMPONENTS:%=%_install_py)

install: install_py

uninstall: $(ALL_COMPONENTS:%=%_uninstall)

uninstall_py: $(ALL_COMPONENTS:%=%_uninstall_py)

uninstall_c: $(ALL_COMPONENTS:%=%_uninstall_c)

check: $(ALL_COMPONENTS:%=%_check)

test: $(ALL_COMPONENTS:%=%_test)

data: $(ALL_COMPONENTS:%=%_data)

upload_data: data
	tar -cvzf data.tar.gz \
		paperwork-backend/src/paperwork_backend/authors/*.json \
		paperwork-gtk/src/paperwork_gtk/model/help/out/*.pdf \
		paperwork-gtk/src/paperwork_gtk/icon/out/*.png
	ci/deliver_data.sh data.tar.gz

data.tar.gz:
	ci/download_data.sh data.tar.gz

paperwork-gtk/src/paperwork_gtk/model/help/out/usage.pdf: data.tar.gz
	tar -xvzf data.tar.gz
	touch paperwork-gtk/src/paperwork_gtk/model/help/out/usage.pdf

download_data: paperwork-gtk/src/paperwork_gtk/model/help/out/usage.pdf

doc: $(ALL_COMPONENTS:%=%_doc)

upload_doc: $(ALL_COMPONENTS:%=%_upload_doc)

release_pypi: download_data l10n_compile
	$(MAKE) $(ALL_COMPONENTS:%=%_release_pypi) RELEASE=${RELEASE}

release: $(ALL_COMPONENTS:%=%_release)
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	@echo "Also makes sure to update:"
	@echo "- AUTHORS.ui.json"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	git tag -a ${RELEASE} -m ${RELEASE}
	git push origin ${RELEASE}
	make clean
	make release_pypi
	@echo "All done"
	@echo "IMPORTANT: Don't forgot to add the latest release on Flathub !"
endif

linux_exe: $(ALL_COMPONENTS:%=%_linux_exe)

libinsane_win64:
	${MAKE} -C sub/libinsane clean
	${MAKE} -C sub/libinsane install PREFIX=/mingw64

pyocr_win64:
	${MAKE} -C sub/pyocr install

libpillowfight_win64:
	${MAKE} -C sub/libpillowfight install_py

windows_exe:
	# dirty hack to make cx_freeze happy
	# Cx_freeze looks for a file sqlite3.dll whereas in MSYS2, it's called
	# libsqlite3-0.dll
	mkdir -p /mingw64/DLLs
	cp /mingw64/bin/libsqlite3-0.dll /mingw64/DLLs/sqlite3.dll

	rm -rf $(CURDIR)/build/exe
	$(MAKE) $(ALL_COMPONENTS:%=%_windows_exe)

	# a bunch of things are missing
	mkdir -p $(CURDIR)/build/exe/lib
	cp -Ra /mingw64/lib/gdk-pixbuf-2.0 $(CURDIR)/build/exe/lib
	# 2nd part of the dirty hack to make cx_freeze happy
	rm -f $(CURDIR)/build/exe/lib/sqlite3.dll

	mkdir -p $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/icons $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/locale $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/themes $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/fontconfig $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/poppler $(CURDIR)/build/exe/share
	cp -Ra /mingw64/share/glib-2.0 $(CURDIR)/build/exe/share

	mkdir -p dist
	(cd $(CURDIR)/build/exe ; zip -r ../../dist/paperwork.zip *)

l10n_extract: $(ALL_COMPONENTS:%=%_l10n_extract)

l10n_compile: $(ALL_COMPONENTS:%=%_l10n_compile)

help:
	@echo "make build: run 'python3 ./setup.py build' in all components"
	@echo "make clean"
	@echo "make help: display this message"
	@echo "make install : run 'python3 ./setup.py install' on all components"
	@echo "make release"
	@echo "make uninstall : run 'pip3 uninstall -y (component)' on all components"
	@echo "make l10n_extract"
	@echo "make l10n_compile"
	@echo "Components:" ${ALL_COMPONENTS}

%_check:
	echo "Checking $(@:%_check=%)"
	$(MAKE) -C $(@:%_check=%) check

%_test:
	echo "Testing $(@:%_test=%)"
	$(MAKE) -C $(@:%_test=%) test

%_upload_doc:
	echo "Uploading doc of $(@:%_upload_doc=%)"
	$(MAKE) -C $(@:%_upload_doc=%) upload_doc

%_doc:
	echo "Generating doc of $(@:%_doc=%)"
	$(MAKE) -C $(@:%_doc=%) doc

%_data:
	echo "Generating data files of $(@:%_data=%)"
	$(MAKE) -C $(@:%_data=%) data

%_clean:
	echo "Cleaning $(@:%_clean=%)"
	$(MAKE) -C $(@:%_clean=%) clean

%_uninstall:
	echo "Uninstalling $(@:%_uninstall=%)"
	$(MAKE) -C $(@:%_uninstall=%) uninstall

%_uninstall_py:
	echo "Uninstalling $(@:%_uninstall_py=%)"
	$(MAKE) -C $(@:%_uninstall=%) uninstall_py

%_uninstall_c:
	echo "Uninstalling $(@:%_uninstall_c=%)"
	$(MAKE) -C $(@:%_uninstall=%) uninstall_c

%_release:
	echo "Releasing $(@:%_release=%)"
	$(MAKE) -C $(@:%_release=%) release RELEASE=$(RELEASE)

%_release_pypi:
	echo "Releasing $(@:%_release_pypi=%)"
	$(MAKE) -C $(@:%_release_pypi=%) release_pypi

%_linux_exe:
	echo "Building Linux exe for $(@:%_linux_exe=%)"
	$(MAKE) -C $(@:%_linux_exe=%) linux_exe

%_windows_exe: l10n_compile download_data libinsane_win64 pyocr_win64 libpillowfight_win64
	echo "Building Windows exe for $(@:%_windows_exe=%)"
	$(MAKE) -C $(@:%_windows_exe=%) windows_exe

%_l10n_extract:
	echo "Extracting translatable strings from $(@:%_l10n_extract=%)"
	$(MAKE) -C $(@:%_l10n_extract=%) l10n_extract

%_l10n_compile:
	echo "Compiling translated strings for $(@:%_l10n_compile=%)"
	$(MAKE) -C $(@:%_l10n_compile=%) l10n_compile

venv/bin/activate:
	echo "Building virtual env"
	make -C sub/libinsane build_c
	virtualenv -p python3 --system-site-packages venv

venv: venv/bin/activate

.PHONY: help build clean test check install install_py install_c uninstall \
	uninstall_c uninstall_py release release_pypi libinsane_win64 \
	pyocr_win64 libpillowfight_win64 doc upload_doc data upload_data \
	download_data l10n_extract l10n_compile

=== flatpak/Makefile ===
REPO ?= $(abspath paperwork_repo)
APP = work.openpaper.Paperwork
ALL_TARGETS = $(patsubst %.json,%,$(wildcard *.json))
ALL_BRANCHES = master testing develop

all: upd_branches

# clean: remove all intermediate files
clean:
	rm -rf *.app *.flatpak

# dist-clean: remove *everything* that is not stored in Git
dist-clean: clean
	rm -rf $(REPO) .flatpak-builder

# Build a specific branch / tag
# Will export to the Flatpak repository $(REPO)
%.app: ../work.openpaper.Paperwork.json
	@echo flatpak-builder $< --\> $@ \($(REPO) ${EXPORT_ARGS} ${ARCH_ARGS}\)
	cd ../ && flatpak-builder --repo=$(REPO) -s "Build of Paperwork $(@:%.app=%) `date`" ${EXPORT_ARGS} ${ARCH_ARGS} flatpak/$@ work.openpaper.Paperwork.json

upd_repo:
	@echo flatpak build-update-repo $(REPO) \($(REPO) ${EXPORT_ARGS} ${ARCH_ARGS}\)
	flatpak build-update-repo --generate-static-deltas ${EXPORT_ARGS} $(REPO)

# Build all branches and tags and update the Flatpak repository $(REPO)
mk_all: $(patsubst %,%.app,$(ALL_TARGETS))
	$(MAKE) upd_repo

# Build only the branches and update the Flatpak repository $(REPO)
upd_branches: $(patsubst %,%.app,$(ALL_BRANCHES))
	$(MAKE upd_repo)

# Can be used if you call %.app manually first
# Build a Flatpak bundle
%.flatpak: %.app
	$(MAKE) upd_repo
	@echo flatpak build-bundle $(REPO) --\> $@ \(${EXPORT_ARGS} ${ARCH_ARGS} branch: $(@:%.flatpak=%)\)
	flatpak -v build-bundle ${ARCH_ARGS} $(REPO) $@ $(APP) $(@:%.flatpak=%)

# Build all Flatpak bundles
bundles: $(patsubst %,%.flatpak,$(ALL_TARGETS))

.PHONY: all clean dist-clean mkrepo bundles upd_repo

=== openpaperwork-core/Makefile ===
PYTHON ?= python3
PIP_DEPS ?=
SRC_FILES = \
	$(shell find . -name '*.py') \
	$(shell find . -name '*.po') \
	pyproject.toml

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py:

build_c:

doc: install_py
	$(MAKE) -C doc html

doc/_build/html/index.html: doc

upload_doc: doc/_build/html/index.html
	cd .. && ./ci/deliver_doc.sh ${CURDIR}/doc/_build/html openpaperwork_core

data:

check:
	if ! hash flake8 ; then PIP_DEPS=[lint] $(MAKE) install_py ; fi
	flake8 --append-config $(CURDIR)/.flake8 $(CURDIR)/src/openpaperwork_core

test:
	if ! hash pytest ; then PIP_DEPS=[dev] $(MAKE) install_py ; fi
	python3 -m pytest -xv tests/

linux_exe:

windows_exe: install
	# ugly, but "import pkg_resources" doesn't work in frozen environments
	# and I don't want to have to patch the build machine to fix it every
	# time.
	mkdir -p $(CURDIR)/../build/exe/data
	(cd $(CURDIR)/src && find . -name '*.mo' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
endif

release_pypi:
	@echo "Releasing openpaperwork-core ..."
	rm -rf /tmp/venv
	virtualenv /tmp/venv
	. /tmp/venv/bin/activate && pip install build
	. /tmp/venv/bin/activate && ${PYTHON} -m build -s
	rm -rf /tmp/venv
	twine upload $(CURDIR)/dist/*.tar.gz
	@echo "All done"

clean:
	rm -f .installed
	rm -rf doc/_build
	rm -rf build dist *.egg-info
	rm -f src/openpaperwork_core/_version.py

# PIP_ARGS is used by Flatpak build

.installed: $(SRC_FILES)
	$(CURDIR)/../tools/l10n_compile.sh \
		"$(CURDIR)/l10n" \
		"$(CURDIR)/src/openpaperwork_core/l10n" \
		"openpaperwork_core"
	cd $(CURDIR) && ${PYTHON} -m pip install ${PIP_ARGS} .$(PIP_DEPS)
	touch .installed

install_py: .installed

install_c:

uninstall_py:
	pip3 uninstall -y openpaperwork-core

uninstall_c:

l10n_extract:
	$(CURDIR)/../tools/l10n_extract.sh "$(CURDIR)/src" "$(CURDIR)/l10n"

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	l10n_extract \
	l10n_compile \
	release \
	test \
	uninstall \
	uninstall_c

=== openpaperwork-gtk/Makefile ===
PYTHON ?= python3
SRC_FILES = \
	$(shell find . -name '*.py') \
	$(shell find . -name '*.po') \
	pyproject.toml

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py:

build_c:

version:

doc: install_py
	$(MAKE) -C doc html

doc/_build/html/index.html: doc

data:

upload_doc: doc/_build/html/index.html
	cd .. && ./ci/deliver_doc.sh ${CURDIR}/doc/_build/html openpaperwork_gtk

check:
	if ! hash flake8 ; then PIP_DEPS=[lint] $(MAKE) install_py ; fi
	flake8 --append-config $(CURDIR)/.flake8 $(CURDIR)/src/openpaperwork_gtk

test:
	if ! hash pytest ; then PIP_DEPS=[dev] $(MAKE) install_py ; fi
	python3 -m pytest -xv tests/

linux_exe:

windows_exe: install
	# ugly, but "import pkg_resources" doesn't work in frozen environments
	# and I don't want to have to patch the build machine to fix it every
	# time.
	mkdir -p $(CURDIR)/../build/exe/data
	(cd $(CURDIR)/src && find . -name '*.css' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )
	(cd $(CURDIR)/src && find . -name '*.glade' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )
	(cd $(CURDIR)/src && find . -name '*.mo' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
endif

release_pypi:
	@echo "Releasing openpaperwork-gtk ..."
	rm -rf /tmp/venv
	virtualenv /tmp/venv
	. /tmp/venv/bin/activate && pip install build
	. /tmp/venv/bin/activate && ${PYTHON} -m build -s
	rm -rf /tmp/venv
	twine upload $(CURDIR)/dist/*.tar.gz
	@echo "All done"

clean:
	rm -f .installed
	rm -rf doc/_build
	rm -rf build dist *.egg-info
	rm -f src/openpaperwork_gtk/_version.py

# PIP_ARGS is used by Flatpak build
.installed: $(SRC_FILES)
	$(CURDIR)/../tools/l10n_compile.sh \
		"$(CURDIR)/l10n" \
		"$(CURDIR)/src/openpaperwork_gtk/l10n" \
		"openpaperwork_gtk"
	${PYTHON} -m pip install ${PIP_ARGS} .${PIP_DEPS}
	touch .installed

install_py: .installed

install_c:

uninstall_py:
	pip3 uninstall -y openpaperwork-gtk

uninstall_c:

l10n_extract:
	$(CURDIR)/../tools/l10n_extract.sh "$(CURDIR)/src" "$(CURDIR)/l10n"

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	l10n_compile \
	l10n_extract \
	release \
	test \
	uninstall \
	uninstall_c

=== paperwork-backend/Makefile ===
PYTHON ?= python3
PIP_DEPS ?=
SRC_FILES = \
	$(shell find . -name '*.py') \
	$(shell find . -name '*.po') \
	pyproject.toml

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py:

build_c:

doc: install_py
	$(MAKE) -C doc html

doc/_build/html/index.html: doc

upload_doc: doc/_build/html/index.html
	cd .. && ./ci/deliver_doc.sh ${CURDIR}/doc/_build/html paperwork_backend

data:
	$(MAKE) -C $(CURDIR)/src/paperwork_backend/authors data

check:
	if ! hash flake8 ; then PIP_DEPS=[lint] $(MAKE) install_py ; fi
	flake8 --append-config $(CURDIR)/.flake8 $(CURDIR)/src/paperwork_backend

test:
	if ! hash pytest ; then PIP_DEPS=[dev] $(MAKE) install_py ; fi
	python3 -m pytest -xv tests/

linux_exe:

windows_exe: install
	# ugly, but "import pkg_resources" doesn't work in frozen environments
	# and I don't want to have to patch the build machine to fix it every
	# time.
	mkdir -p $(CURDIR)/../build/exe/data
	(cd $(CURDIR)/src && find . -name '*.mo' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
endif

release_pypi:
	@echo "Releasing paperwork-backend ..."
	rm -rf /tmp/venv
	virtualenv /tmp/venv
	. /tmp/venv/bin/activate && pip install build
	. /tmp/venv/bin/activate && ${PYTHON} -m build -s
	rm -rf /tmp/venv
	twine upload $(CURDIR)/dist/*.tar.gz
	@echo "All done"

clean:
	rm -f .installed
	rm -rf build dist *.egg-info
	rm -f src/paperwork_backend/_version.py
	$(MAKE) -C $(CURDIR)/src/paperwork_backend/authors clean

# PIP_ARGS is used by Flatpak build
install_py: .installed

.installed: $(SRC_FILES)
	$(CURDIR)/../tools/l10n_compile.sh \
		"$(CURDIR)/l10n" \
		"$(CURDIR)/src/paperwork_backend/l10n" \
		"paperwork_backend"
	${PYTHON} -m pip install ${PIP_ARGS} .${PIP_DEPS}
	touch .installed

install_c:

uninstall_py:
	pip3 uninstall -y paperwork-backend

uninstall_c:

l10n_extract:
	$(CURDIR)/../tools/l10n_extract.sh "$(CURDIR)/src" "$(CURDIR)/l10n"

l10n_compile:

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	data \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	l10n_compile \
	l10n_extract \
	release \
	test \
	upload_data \
	upload_doc \
	uninstall \
	uninstall_c

=== paperwork-shell/Makefile ===
PYTHON ?= python3
SRC_FILES = \
	$(shell find . -name '*.py') \
	$(shell find . -name '*.po') \
	pyproject.toml

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py:

build_c:

doc:

upload_doc:

data:

check:
	if ! hash flake8 ; then PIP_DEPS=[lint] $(MAKE) install_py ; fi
	flake8 --append-config $(CURDIR)/.flake8 $(CURDIR)/src/paperwork_shell

test:
	if ! hash pytest ; then PIP_DEPS=[dev] $(MAKE) install_py ; fi
	python3 -m pytest -xv tests/

linux_exe:
	rm -rf AppDir appimage-build
	appimage-builder --skip-tests --recipe AppImageBuilder.cli.yml
	rm -rf AppDir appimage-build
	appimage-builder --skip-tests --recipe AppImageBuilder.json.yml

windows_exe: install
	# ugly, but "import pkg_resources" doesn't work in frozen environments
	# and I don't want to have to patch the build machine to fix it every
	# time.
	mkdir -p $(CURDIR)/../build/exe/data
	(cd $(CURDIR)/src && find . -name '*.mo' -exec cp --parents \{\} $(CURDIR)/../build/exe/data \; )

release:
ifeq (${RELEASE}, )
	@echo "You must specify a release version (make release RELEASE=1.2.3)"
	exit 1
else
	@echo "Will release: ${RELEASE}"
	@echo "Checking release is in ChangeLog ..."
	grep ${RELEASE} ChangeLog | grep -v "/xx"
endif

release_pypi:
	@echo "Releasing paperwork-shell ..."
	rm -rf /tmp/venv
	virtualenv /tmp/venv
	. /tmp/venv/bin/activate && pip install build
	. /tmp/venv/bin/activate && ${PYTHON} -m build -s
	rm -rf /tmp/venv
	twine upload $(CURDIR)/dist/*.tar.gz
	@echo "All done"

clean:
	rm -f .installed
	rm -rf AppDir appimage-build
	rm -f *.AppImage
	rm -rf build dist *.egg-info
	rm -f src/paperwork_shell/_version.py

# PIP_ARGS is used by Flatpak build
install_py: .installed

.installed: $(SRC_FILES)
	$(CURDIR)/../tools/l10n_compile.sh \
		"$(CURDIR)/l10n" \
		"$(CURDIR)/src/paperwork_shell/l10n" \
		"paperwork_shell"
	${PYTHON} -m pip install ${PIP_ARGS} .${PIP_DEPS}
	touch .installed

install_c:

uninstall_py:
	pip3 uninstall -y paperwork-shell

uninstall_c:

l10n_extract:
	$(CURDIR)/../tools/l10n_extract.sh "$(CURDIR)/src" "$(CURDIR)/l10n"

l10n_compile:

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	l10n_compile \
	l10n_extract \
	release \
	test \
	uninstall \
	uninstall_c

=== openpaperwork-core/doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -msphinx
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== tools/plugin-grapher/Makefile ===
PYTHON ?= python3

build: build_c build_py

install: install_py install_c

uninstall: uninstall_py

build_py:
	${PYTHON} ./setup.py build

build_c:

doc:

check:
	flake8 src/paperwork_backend

test: install
	python3 -m unittest discover --verbose -s tests

linux_exe:

windows_exe:

release:

release_pypi:

clean:
	rm -rf build dist *.egg-info

install_py:
	${PYTHON} ./setup.py install ${PIP_ARGS}

install_c:

uninstall_py:
	pip3 uninstall -y plugin-grapher

uninstall_c:

help:
	@echo "make build || make build_py"
	@echo "make check"
	@echo "make help: display this message"
	@echo "make install || make install_py"
	@echo "make uninstall || make uninstall_py"
	@echo "make release"

.PHONY: \
	build \
	build_c \
	build_py \
	check \
	doc \
	exe \
	help \
	install \
	install_c \
	install_py \
	test \
	uninstall \
	uninstall_c \

=== paperwork-backend/src/paperwork_backend/authors/Makefile ===
AUTHORS.git.json:
	$(CURDIR)/../../../../tools/get_git_authors.py $(CURDIR)/../../../.. >| $(CURDIR)/AUTHORS.git.json

AUTHORS.json: \
		../../../../AUTHORS.ui.json \
		AUTHORS.git.json
	$(CURDIR)/../../../../tools/merge_authors_json.py $^ \
		>| $(CURDIR)/AUTHORS.json

data:
	$(MAKE) clean
	$(MAKE) AUTHORS.json

clean:
	rm -f $(CURDIR)/AUTHORS.git.json
	rm -f $(CURDIR)/AUTHORS.json

.PHONY: clean data

=== debian/changelog ===
paperwork (2.2.5-3) unstable; urgency=medium

  * debian/tests: Ignore a flaky test on s390x architecture (Closes: #1107787)
  * debian/control: bump Standards-Version to 4.7.2 (no changes needed)
  * debian/copyright: Update copyright year

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 09 Jul 2025 17:22:59 +0200

paperwork (2.2.5-2) unstable; urgency=medium

  * debian/tests:
    + use safer check for disabled commands
    + split tests per package
    + skip failing tests on s390x
    + skip libreoffice related tests on riscv64
  * debian/patches: add patch to skip write to /dev/stderr
  * debian/control: add missing dependencies
  * debian/rules: use lower limit of fds for all paperwork-gtk calls
  * debian/clean:
    + fix paperwork-gtk egg-info path
    + remove old paths

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 14 Sep 2024 18:31:34 +0200

paperwork (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5 (Closes: #1080261, #1080263)
  * debian/watch: Fix upstream URL checking
  * debian/control: bump Standards-Version to 4.7.0 (no changes needed)
  * debian/rules: Rework the install logic
  * debian/patches:
    + Refresh patches for new release
    + Add patch to reduce logging verbosity when screenshotting
  * debian/copyright:
    + Change metainfo file path
    + Update copyright years
  * debian/tests: check the ping command

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 07 Sep 2024 17:19:26 +0200

=== debian/control ===
Source: paperwork
Section: python
Priority: optional
Maintainer: Thomas Perret <thomas.perret@phyx.fr>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-docutils,
 python3-sphinx,
 python3-sphinxcontrib.plantuml,
 sphinx-doc,
 po4a,
 imagemagick,
 texlive,
 texlive-lang-english,
 texlive-lang-french,
 texlive-lang-german,
 texlive-latex-extra,
 texlive-latex-recommended,
 lmodern,
 xvfb,
 xauth,
 python3-gi,
 gir1.2-poppler-0.18,
 python3-gi-cairo,
 gir1.2-gtk-3.0,
 gir1.2-notify-0.7,
 gir1.2-libinsane-1.0,
 gir1.2-handy-1,
 python3-distro,
 python3-pillow,
 python3-pypillowfight,
 python3-sklearn,
 python3-pyocr,
 python3-psutil,
 python3-pycountry,
 python3-whoosh,
 python3-fabulous,
 python3-pyxdg,
 python3-rich,
 tesseract-ocr,
 librsvg2-bin,
Standards-Version: 4.7.2
Homepage: https://openpaper.work
Vcs-Browser: https://salsa.debian.org/openpaperwork-team/paperwork
Vcs-Git: https://salsa.debian.org/openpaperwork-team/paperwork.git
Rules-Requires-Root: no

Package: openpaperwork-core
Architecture: all
Multi-Arch: foreign
Section: gnome
Depends: ${python3:Depends}, ${misc:Depends},
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-pango-1.0,
 gir1.2-poppler-0.18,
 python3-psutil,
 python3-pil,
Description: OpenPaperwork plugins manager - core plugins manager
 The core manages Plugins, Callbacks and Interfaces. This package also provide
 some basic plugins that may be used in any kind of application.
 .
 This package contains only core plugins. The GUI is included in paperwork-gtk
 package.

Package: openpaperwork-core-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends},
Description: OpenPaperwork plugins manager - core plugins manager documentation
 The core manages Plugins, Callbacks and Interfaces. This package also provide
 some basic plugins that may be used in any kind of application.
 .
 This package contains the documentation

Package: openpaperwork-gtk
Architecture: all
Multi-Arch: foreign
Section: gnome
Depends: ${python3:Depends}, ${misc:Depends},
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gtk-3.0,
 gir1.2-handy-1,
 gir1.2-notify-0.7,
 gir1.2-pango-1.0,
 python3-gi-cairo,
Suggests: paperwork-gtk
Description: OpenPaperwork Glib/GTK plugins manager
 This package extends the openpaperwork-core with GLib/GTK plugins that may be
 used in any GUI application.
 .
 This package contains only Glib/GTK plugins. The GUI is included in
 paperwork-gtk package.

Package: openpaperwork-gtk-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends},
Description: OpenPaperwork Glib/GTK plugins manager - documentation
 This package extends the openpaperwork-core with GLib/GTK plugins that may be
 used in any GUI application.
 .
 This package contains the documentation

Package: paperwork-backend
Architecture: all
Multi-Arch: foreign
Section: gnome
Depends: ${python3:Depends}, ${misc:Depends},
 openpaperwork-core (= ${binary:Version}),
 openpaperwork-gtk (= ${binary:Version}),
 python3-gi,
 gir1.2-glib-2.0,
 gir1.2-libinsane-1.0,
 gir1.2-poppler-0.18,
 python3-gi-cairo,
 python3-sklearn,
Suggests: paperwork-shell, paperwork-gtk, libreoffice
Description: Personal document manager
 This is the backend part of Paperwork. It manages: The work directory / Access
 to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.

Package: paperwork-backend-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends},
Description: Paperwork is a personal document manager - backend documentation
 This is the backend part of Paperwork. It manages: The work directory / Access
 to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package contains the documentation

Package: paperwork-gtk
Architecture: all
Multi-Arch: foreign
Section: gnome
Depends: ${python3:Depends}, ${misc:Depends},
 openpaperwork-core (= ${binary:Version}),
 openpaperwork-gtk (= ${binary:Version}),
 paperwork-backend (= ${binary:Version}),
 adwaita-icon-theme | gnome-icon-theme-symbolic,
 gnome-icon-theme,
 tesseract-ocr | cuneiform,
 aspell,
 python3-gi,
 gir1.2-gtk-3.0,
 gir1.2-glib-2.0,
 python3-gi-cairo,
 gir1.2-notify-0.7,
 gir1.2-pango-1.0,
Description: Paperwork is a personal document manager - GTK3 frontend
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package does not include localization files and dependencies. If you wish
 to install paperwork in your language, check the corresponding
 paperwork-gtk-l10n-* packages.

Package: paperwork-shell
Architecture: all
Multi-Arch: foreign
Section: utils
Depends: ${python3:Depends}, ${misc:Depends},
 openpaperwork-core (= ${binary:Version}),
 openpaperwork-gtk (= ${binary:Version}),
 paperwork-backend (= ${binary:Version}),
Suggests: jq
Description: Paperwork is a personal document manager - command line utils
 Paperwork-shell provides 2 commands:
 * paperwork-cli: Human-friendly command line interface. For instance, it
   can be useful if you want to use Paperwork through SSH.
 * paperwork-json: Designed to be used in scripts. Results can be parsed in
   shell scripts using jq.

Package: paperwork-gtk-l10n-en
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
 paperwork-gtk,
 tesseract-ocr-eng | cuneiform,
 aspell-en,
Description: Gui for paperwork-backend - English localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This metapackage installs English localized dependencies.

Package: paperwork-gtk-l10n-fr
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
 paperwork-gtk,
 tesseract-ocr-fra | cuneiform,
 aspell-fr,
Description: Gui for paperwork-backend - French localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs French localized dependencies.

Package: paperwork-gtk-l10n-de
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
 paperwork-gtk,
 tesseract-ocr-deu | cuneiform,
 aspell-de | aspell-de-1901,
Description: Gui for paperwork-backend - German localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs German localized dependencies.

Package: paperwork-gtk-l10n-uk
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
 paperwork-gtk,
 tesseract-ocr-ukr | cuneiform,
 aspell-uk,
Description: Gui for paperwork-backend - Ukrainian localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs Ukrainian localized dependencies.

Package: paperwork-gtk-l10n-es
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
 paperwork-gtk,
 tesseract-ocr-spa | cuneiform,
 aspell-es,
Description: Gui for paperwork-backend - Spanish localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs Spanish localized dependencies.

Package: paperwork-gtk-l10n-oc
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
 paperwork-gtk,
 tesseract-ocr-oci,
Description: Gui for paperwork-backend - Occitan localization
 This is the GTK3 frontend part of Paperwork. It manages: The work directory /
 Access to the documents, Indexing, Searching, Suggestions, Import, Export.
 .
 Paperwork is a personal document manager. It manages scanned documents and
 PDFs.
 It's designed to be easy and fast to use. The idea behind Paperwork
 is "scan & forget": You can just scan a new document and
 forget about it until the day you need it again.
 In other words, let the machine do most of the work for you.
 .
 This package installs Occitan localized dependencies.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_VERBOSE = 1

PYTHON3_VERSIONS = $(shell py3versions -r)


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean -D openpaperwork-core --buildsystem=pybuild -- --name openpaperwork-core
	dh_auto_clean -D openpaperwork-gtk --buildsystem=pybuild -- --name openpaperwork-gtk
	dh_auto_clean -D paperwork-gtk --buildsystem=pybuild -- --name paperwork-gtk
	dh_auto_clean -D paperwork-backend --buildsystem=pybuild -- --name paperwork-backend
	dh_auto_clean -D paperwork-shell --buildsystem=pybuild -- --name paperwork-shell
	make -C paperwork-gtk/src/paperwork_gtk/model/help clean
	make -C paperwork-gtk/src/paperwork_gtk/icon clean

override_dh_auto_configure:
	dh_auto_configure -D openpaperwork-core --buildsystem=pybuild -- --name openpaperwork-core
	dh_auto_configure -D openpaperwork-gtk --buildsystem=pybuild -- --name openpaperwork-gtk
	dh_auto_configure -D paperwork-gtk --buildsystem=pybuild -- --name paperwork-gtk
	dh_auto_configure -D paperwork-backend --buildsystem=pybuild -- --name paperwork-backend
	dh_auto_configure -D paperwork-shell --buildsystem=pybuild -- --name paperwork-shell

override_dh_auto_build:
	dh_auto_build -D openpaperwork-core --buildsystem=pybuild -- --name openpaperwork-core
	PYTHONPATH=openpaperwork-core/src python3 -m sphinx -N -bhtml openpaperwork-core/doc _build/openpaperwork_core/html
	dh_auto_build -D openpaperwork-gtk --buildsystem=pybuild -- --name openpaperwork-gtk
	PYTHONPATH=openpaperwork-gtk/src python3 -m sphinx -N -bhtml openpaperwork-gtk/doc _build/openpaperwork_gtk/html
	make -C paperwork-gtk/src/paperwork_gtk/icon data
	dh_auto_build -D paperwork-gtk --buildsystem=pybuild -- --name paperwork-gtk
	make -C paperwork-backend data
	dh_auto_build -D paperwork-backend --buildsystem=pybuild -- --name paperwork-backend
	PYTHONPATH=paperwork-backend/src python3 -m sphinx -N -bhtml paperwork-backend/doc _build/paperwork_backend/html
	dh_auto_build -D paperwork-shell --buildsystem=pybuild -- --name paperwork-shell
	rst2man debian/paperwork-gtk.rst debian/paperwork-gtk.1
	rst2man debian/paperwork-cli.rst debian/paperwork-cli.1
	rst2man debian/paperwork-json.rst debian/paperwork-json.1
	$(CURDIR)/tools/l10n_compile.sh openpaperwork-core/l10n openpaperwork-core/src/openpaperwork_core/l10n openpaperwork_core
	$(CURDIR)/tools/l10n_compile.sh openpaperwork-gtk/l10n openpaperwork-gtk/src/openpaperwork_gtk/l10n openpaperwork_gtk
	$(CURDIR)/tools/l10n_compile.sh paperwork-gtk/l10n paperwork-gtk/src/paperwork_gtk/l10n paperwork_gtk
	$(CURDIR)/tools/l10n_compile.sh paperwork-backend/l10n paperwork-backend/src/paperwork_backend/l10n paperwork_backend
	$(CURDIR)/tools/l10n_compile.sh paperwork-shell/l10n paperwork-shell/src/paperwork_shell/l10n paperwork_shell

override_dh_auto_install:
	dh_auto_install -D openpaperwork-core -popenpaperwork-core --buildsystem=pybuild -- --name openpaperwork-core
	mv debian/python3-openpaperwork-core debian/openpaperwork-core
	dh_auto_install -D openpaperwork-gtk -popenpaperwork-gtk --buildsystem=pybuild -- --name openpaperwork-gtk
	mv debian/python3-openpaperwork-gtk debian/openpaperwork-gtk
	dh_auto_install -D paperwork-gtk -ppaperwork-gtk --buildsystem=pybuild -- --name paperwork-gtk
	mv debian/python3-paperwork-gtk debian/paperwork-gtk
	dh_auto_install -D paperwork-backend -ppaperwork-backend --buildsystem=pybuild -- --name paperwork-backend
	mv debian/python3-paperwork-backend debian/paperwork-backend
	dh_auto_install -D paperwork-shell -ppaperwork-shell --buildsystem=pybuild -- --name paperwork-shell
	mv debian/python3-paperwork-shell debian/paperwork-shell

	# libinsane tries to close all possible file descriptors
	# and sbuild seems to set the soft to the hard value which
	# is 1073741816 on my Debian/sid system
	ulimit -Sn
	ulimit -Sn 1024 && PYTHONPATH="$(CURDIR)/debian/openpaperwork-core/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/openpaperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-backend/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-shell/usr/lib/$(shell py3versions -d)/dist-packages/" PAPERWORK_TEST_DOCUMENTS="$(CURDIR)/test-documents/" PATH="$(CURDIR)/debian/paperwork-gtk/usr/bin:$(CURDIR)/debian/paperwork-shell/usr/bin:$(PATH)" make -C paperwork-gtk/src/paperwork_gtk/model/help data
	mkdir -p debian/paperwork-gtk/usr/share
	mkdir -p debian/tmp/paperwork-home/config
	ulimit -Sn 1024 && PYTHONPATH="$(CURDIR)/debian/openpaperwork-core/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/openpaperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-backend/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-shell/usr/lib/$(shell py3versions -d)/dist-packages/" PAPERWORK_TEST_DOCUMENTS="$(CURDIR)/test-documents/" PATH="$(CURDIR)/debian/paperwork-gtk/usr/bin:$(CURDIR)/debian/paperwork-shell/usr/bin:$(PATH)" XDG_DATA_HOME="$(CURDIR)/debian/paperwork-gtk/usr/share" XDG_CONFIG_HOME="$(CURDIR)/debian/tmp/paperwork-home/config" paperwork-gtk plugins add paperwork_gtk.cmd.install
	ulimit -Sn 1024 && PYTHONPATH="$(CURDIR)/debian/openpaperwork-core/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/openpaperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-backend/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-shell/usr/lib/$(shell py3versions -d)/dist-packages/" PAPERWORK_TEST_DOCUMENTS="$(CURDIR)/test-documents/" PATH="$(CURDIR)/debian/paperwork-gtk/usr/bin:$(CURDIR)/debian/paperwork-shell/usr/bin:$(PATH)" XDG_DATA_HOME="$(CURDIR)/debian/paperwork-gtk/usr/share" XDG_CONFIG_HOME="$(CURDIR)/debian/tmp/paperwork-home/config" paperwork-gtk install --user
	$(RM) -r debian/paperwork-gtk/usr/share/paperwork2
	$(RM) -r debian/tmp/paperwork-home

override_dh_auto_test:

# Do not compress pdf files as they are needed in paperwork and compressed files
# are not supported yet see https://gitlab.gnome.org/World/OpenPaperwork/paperwork/-/issues/1079
override_dh_compress:
	dh_compress -X.pdf

=== debian/tests/control ===
Tests: dangerous-plugins-disabled
Depends: @
Restrictions: allow-stderr

Tests: openpaperwork-core-unittests
Depends: openpaperwork-core, python3-pytest-cov

Tests: openpaperwork-gtk-unittests
Depends: openpaperwork-gtk, python3-pytest-cov

Tests: paperwork-backend-unittests
Depends: paperwork-backend, python3-pytest-cov, tesseract-ocr, libreoffice [!riscv64]

Tests: paperwork-backend-unittests-flaky
Depends: @, python3-pytest, libreoffice
Architecture: !riscv64
Restrictions: allow-stderr, flaky

Tests: paperwork-gtk-unittests
Depends: paperwork-gtk, python3-pytest-cov

Tests: paperwork-shell-unittests
Depends: paperwork-shell, python3-pytest-cov

Tests: check-deps
Depends: @, jq, libreoffice [!riscv64]
Restrictions: allow-stderr

Test-Command: /usr/bin/paperwork-gtk --help
Depends: paperwork-gtk
Restrictions: superficial, allow-stderr
Features: test-name=paperwork

=== debian/watch ===
version=4
opts="searchmode=plain,uversionmangle=s/\.post/post/" \
  https://gitlab.gnome.org/World/OpenPaperwork/paperwork/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
opts="searchmode=plain,component=test-documents" \
  https://gitlab.gnome.org/World/OpenPaperwork/paperwork-test-documents/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-test-documents-@ANY_VERSION@@ARCHIVE_EXT@ ignore uupdate
